#ifndef UI_NEWACTIONDIALOG_H
#define UI_NEWACTIONDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QFrame>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QToolButton>
#include <QtGui/QVBoxLayout>

class Ui_NewActionDialog
{
public:
    QVBoxLayout *vboxLayout;
    QGridLayout *gridLayout;
    QLineEdit *editActionText;
    QLabel *label;
    QHBoxLayout *hboxLayout;
    QToolButton *iconButton;
    QToolButton *removeIconButton;
    QSpacerItem *spacerItem;
    QLabel *label_2;
    QLabel *label_3;
    QLineEdit *editObjectName;
    QSpacerItem *spacerItem1;
    QFrame *line;
    QHBoxLayout *hboxLayout1;
    QSpacerItem *spacerItem2;
    QPushButton *okButton;
    QPushButton *cancelButton;

    void setupUi(QDialog *NewActionDialog)
    {
    NewActionDialog->setObjectName(QString::fromUtf8("NewActionDialog"));
    NewActionDialog->resize(QSize(354, 225).expandedTo(NewActionDialog->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(NewActionDialog);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(9);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    gridLayout = new QGridLayout();
    gridLayout->setSpacing(6);
    gridLayout->setMargin(0);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    editActionText = new QLineEdit(NewActionDialog);
    editActionText->setObjectName(QString::fromUtf8("editActionText"));

    gridLayout->addWidget(editActionText, 0, 1, 1, 1);

    label = new QLabel(NewActionDialog);
    label->setObjectName(QString::fromUtf8("label"));

    gridLayout->addWidget(label, 0, 0, 1, 1);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    iconButton = new QToolButton(NewActionDialog);
    iconButton->setObjectName(QString::fromUtf8("iconButton"));

    hboxLayout->addWidget(iconButton);

    removeIconButton = new QToolButton(NewActionDialog);
    removeIconButton->setObjectName(QString::fromUtf8("removeIconButton"));
    removeIconButton->setIcon(QIcon(QString::fromUtf8(":/trolltech/formeditor/images/win/editdelete.png")));

    hboxLayout->addWidget(removeIconButton);

    spacerItem = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);


    gridLayout->addLayout(hboxLayout, 2, 1, 1, 1);

    label_2 = new QLabel(NewActionDialog);
    label_2->setObjectName(QString::fromUtf8("label_2"));

    gridLayout->addWidget(label_2, 2, 0, 1, 1);

    label_3 = new QLabel(NewActionDialog);
    label_3->setObjectName(QString::fromUtf8("label_3"));

    gridLayout->addWidget(label_3, 1, 0, 1, 1);

    editObjectName = new QLineEdit(NewActionDialog);
    editObjectName->setObjectName(QString::fromUtf8("editObjectName"));

    gridLayout->addWidget(editObjectName, 1, 1, 1, 1);


    vboxLayout->addLayout(gridLayout);

    spacerItem1 = new QSpacerItem(281, 261, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout->addItem(spacerItem1);

    line = new QFrame(NewActionDialog);
    line->setObjectName(QString::fromUtf8("line"));
    line->setFrameShape(QFrame::HLine);

    vboxLayout->addWidget(line);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    spacerItem2 = new QSpacerItem(131, 31, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout1->addItem(spacerItem2);

    okButton = new QPushButton(NewActionDialog);
    okButton->setObjectName(QString::fromUtf8("okButton"));
    okButton->setDefault(true);

    hboxLayout1->addWidget(okButton);

    cancelButton = new QPushButton(NewActionDialog);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    hboxLayout1->addWidget(cancelButton);


    vboxLayout->addLayout(hboxLayout1);

    label->setBuddy(editActionText);
    label_2->setBuddy(iconButton);
    label_3->setBuddy(editObjectName);
    QWidget::setTabOrder(editActionText, editObjectName);
    QWidget::setTabOrder(editObjectName, iconButton);
    QWidget::setTabOrder(iconButton, removeIconButton);
    QWidget::setTabOrder(removeIconButton, okButton);
    QWidget::setTabOrder(okButton, cancelButton);
    retranslateUi(NewActionDialog);
    QObject::connect(okButton, SIGNAL(clicked()), NewActionDialog, SLOT(accept()));
    QObject::connect(cancelButton, SIGNAL(clicked()), NewActionDialog, SLOT(reject()));

    QMetaObject::connectSlotsByName(NewActionDialog);
    } // setupUi

    void retranslateUi(QDialog *NewActionDialog)
    {
    NewActionDialog->setWindowTitle(QApplication::translate("NewActionDialog", "New Action...", 0, QApplication::UnicodeUTF8));
    label->setText(QApplication::translate("NewActionDialog", "&Text:", 0, QApplication::UnicodeUTF8));
    iconButton->setText(QApplication::translate("NewActionDialog", "...", 0, QApplication::UnicodeUTF8));
    removeIconButton->setText(QApplication::translate("NewActionDialog", "...", 0, QApplication::UnicodeUTF8));
    label_2->setText(QApplication::translate("NewActionDialog", "&Icon:", 0, QApplication::UnicodeUTF8));
    label_3->setText(QApplication::translate("NewActionDialog", "Object &name:", 0, QApplication::UnicodeUTF8));
    okButton->setText(QApplication::translate("NewActionDialog", "OK", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("NewActionDialog", "Cancel", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(NewActionDialog);
    } // retranslateUi

};

namespace Ui {
    class NewActionDialog: public Ui_NewActionDialog {};
} // namespace Ui

#endif // UI_NEWACTIONDIALOG_H
