#ifndef UI_ORDERDIALOG_H
#define UI_ORDERDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGroupBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QListWidget>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>

class Ui_OrderDialog
{
public:
    QVBoxLayout *vboxLayout;
    QGroupBox *groupBox;
    QHBoxLayout *hboxLayout;
    QListWidget *pageList;
    QVBoxLayout *vboxLayout1;
    QPushButton *upButton;
    QPushButton *downButton;
    QSpacerItem *spacerItem;
    QHBoxLayout *hboxLayout1;
    QSpacerItem *spacerItem1;
    QPushButton *okButton;
    QPushButton *cancelButton;

    void setupUi(QDialog *OrderDialog)
    {
    OrderDialog->setObjectName(QString::fromUtf8("OrderDialog"));
    OrderDialog->resize(QSize(351, 180).expandedTo(OrderDialog->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(OrderDialog);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(9);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    groupBox = new QGroupBox(OrderDialog);
    groupBox->setObjectName(QString::fromUtf8("groupBox"));
    hboxLayout = new QHBoxLayout(groupBox);
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(9);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    pageList = new QListWidget(groupBox);
    pageList->setObjectName(QString::fromUtf8("pageList"));

    hboxLayout->addWidget(pageList);

    vboxLayout1 = new QVBoxLayout();
    vboxLayout1->setSpacing(6);
    vboxLayout1->setMargin(0);
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    upButton = new QPushButton(groupBox);
    upButton->setObjectName(QString::fromUtf8("upButton"));

    vboxLayout1->addWidget(upButton);

    downButton = new QPushButton(groupBox);
    downButton->setObjectName(QString::fromUtf8("downButton"));

    vboxLayout1->addWidget(downButton);

    spacerItem = new QSpacerItem(20, 99, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout1->addItem(spacerItem);


    hboxLayout->addLayout(vboxLayout1);


    vboxLayout->addWidget(groupBox);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    spacerItem1 = new QSpacerItem(131, 31, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout1->addItem(spacerItem1);

    okButton = new QPushButton(OrderDialog);
    okButton->setObjectName(QString::fromUtf8("okButton"));

    hboxLayout1->addWidget(okButton);

    cancelButton = new QPushButton(OrderDialog);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    hboxLayout1->addWidget(cancelButton);


    vboxLayout->addLayout(hboxLayout1);

    retranslateUi(OrderDialog);
    QObject::connect(cancelButton, SIGNAL(clicked()), OrderDialog, SLOT(reject()));

    QMetaObject::connectSlotsByName(OrderDialog);
    } // setupUi

    void retranslateUi(QDialog *OrderDialog)
    {
    OrderDialog->setWindowTitle(QApplication::translate("OrderDialog", "Change Page Order", 0, QApplication::UnicodeUTF8));
    groupBox->setTitle(QApplication::translate("OrderDialog", "Page Order", 0, QApplication::UnicodeUTF8));
    upButton->setText(QApplication::translate("OrderDialog", "Up", 0, QApplication::UnicodeUTF8));
    downButton->setText(QApplication::translate("OrderDialog", "Down", 0, QApplication::UnicodeUTF8));
    okButton->setText(QApplication::translate("OrderDialog", "OK", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("OrderDialog", "Cancel", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(OrderDialog);
    } // retranslateUi

};

namespace Ui {
    class OrderDialog: public Ui_OrderDialog {};
} // namespace Ui

#endif // UI_ORDERDIALOG_H
